`timescale 1ns / 1ps

module refund(clk, enable, in_money, out_money, five, one, done,sub_done);
	input clk;
	input enable;
	input [7:0] in_money;
	output [7:0] out_money;
	output reg five;
	output reg one;
	output reg done;
	output sub_done;

	reg [7:0] sub_money;
	reg [1:0] count;
	

	bcd_subtractor2 sub(.enable(enable), .clk(clk), .in_money(in_money), .sub_money(sub_money), .out_money(out_money), .sub_done(sub_done));

	always@(posedge(clk)) begin
		if(enable==1) begin
			count<=count+1;
			if(in_money>=8'b00000101) sub_money<=8'b00000101;
			else if(in_money>=8'b00000001) sub_money<=8'b00000001;
			else sub_money<=0;
		end
		else begin
			count<=0;
			sub_money<=0;
		end
	end

	always@(count) begin
		if(count>=1 & count<3) begin
			if(in_money==0) done<=1;
			else begin
				done<=0;
				if(sub_money==8'b00000101) five<=1;
				else if(sub_money==8'b00000001) one<=1;
				else begin
					five<=0;
					one<=0;
				end
			end
		end
		else begin
			done<=0;
			five<=0;
			one<=0;
		end
	end
	
endmodule
