`timescale 1ns/1ps

module tb_TopBCD;
	reg enable;
	reg clk;	
	reg [7:0] money;
	reg hundred;
	reg fivehundred;

	wire [3:0] first_sum;
	wire [3:0] second_sum;
	
	TopBCD uut (.enable(enable), .clk(clk), .money(money), .hundred(hundred), .fivehundred(fivehundred), .first_sum(first_sum), .second_sum(second_sum));

	initial begin
		#10; money = 0;
		#10; hundred = 0;
		#10; fivehundred = 0;
		#10; enable = 0;
		#10; clk = 1;
	
	
							
	end
	
	always begin
	 	 enable = 1; #40;
	end

	always begin
		 clk = ~clk; #120;
	end
	
	always begin
		#1800; money = 8'b0000_0000;
		#1800; money = 8'bz;
		#1800; money = 8'b0000_0000;
		#1800; money = 8'b0001_0111;	 	  
 
	end
	
	always begin
		#1800; hundred = 0; 
		#1800; hundred = 1;
		#1800; hundred = 0; 
		#1800; hundred = 0; 

		
	end
	
	always begin
		
		#1800; fivehundred = 0;
		#1800; fivehundred = 0;
		#1800; fivehundred = 0;
		#1800; fivehundred = 1;
 


		
	end
endmodule

	
