`timescale 1ns/1ps

module tb_keypad;

	//input
	reg rst;
	reg clk;
	reg [3:0] keypad_data;

	//output
	wire [2:0] keypad_scan;
	wire [7:0] real_key_data;
	
	keypad uut(.rst(rst), .clk(clk),.keypad_data(keypad_data),.keypad_scan(keypad_scan), .real_key_data(real_key_data));


	initial begin
		rst = 1;
		clk = 1;
		keypad_data = 0;	
	end
	
	always begin
		clk = ~clk; #125;
	end


	always begin
		#250; rst <= 0;   
		#800; keypad_data <= 4'b0001;
	end

endmodule
	