`timescale 1ns / 1ps

module bcd_subtractor(enable, clk, in_quan, in_money, goods_money, out_money, out_quan);
	input enable;
	input clk;
	input [3:0] in_quan;	//
	input [7:0] in_money;	// κ  
	input [7:0] goods_money;	//ǰ
	output reg [7:0] out_money;	//ϰ  
	output reg [3:0] out_quan;
	
	reg [1:0] count;
	wire [7:0] complement_money;	//ǰ 2 
	wire [3:0] first;	//Էµ ݾ 1 ڸ
	wire [3:0] second;	//ǰ 1 ڸ
	
	assign first={in_money[3], in_money[2], in_money[1], in_money[0]};
	assign second=goods_money[3:0];	//ǰ 1ڸ ֱ
	
	complements one(.clk(clk), .in_x(goods_money), .out_y(complement_money));
	
	always@(posedge(clk)) begin
		if(enable==1'b1)
			count<=count+1;
		else
			count<=0;
	end
	
	always@(count) begin
		if(count>=2) begin
			if(in_money>=goods_money & in_quan>0) begin
				if(first<second) out_money<=in_money+complement_money-8'b00000110;	//-6 
				else out_money<=in_money+complement_money;
				out_quan<=in_quan-1;
			end
			else begin
				out_money<=in_money;
				out_quan<=in_quan;
			end
		end
	end

endmodule
