`timescale 1ns / 1ps

module bcd_subtractor2(enable, clk, in_money, sub_money, out_money, sub_done);
	input enable;
	input clk;
	input [7:0] in_money;	// κ  
	input [7:0] sub_money;	//ǰ
	output reg [7:0] out_money;	//ϰ  
	output reg sub_done;
	
	reg [1:0] count;
	wire [7:0] complement_money;	//ǰ 2 
	wire [3:0] first;	//Էµ ݾ 1 ڸ
	wire [3:0] second;	//ǰ 1 ڸ
	
	assign first={in_money[3], in_money[2], in_money[1], in_money[0]};
	assign second=sub_money[3:0];	//ǰ 1ڸ ֱ
	
	complements one(.clk(clk), .in_x(sub_money), .out_y(complement_money));
	
	always@(posedge(clk)) begin
		if(enable==1)
			count<=count+1;
		else
			count<=0;
	end
	
	always@(count) begin
		if(count==2) begin
			if(first<second) begin
				out_money<=in_money+complement_money-8'b00000110;	//-6 
				sub_done <=1;
			end
			else begin
				out_money<=in_money+complement_money;
				sub_done <=1;
			end
		end
		else begin
			out_money<=in_money;
			sub_done <=0;
		end
	end

endmodule
