`timescale 1ns / 1ps

module debounce(clk, in, out);
    input clk;
    input [12:0] in;
	 output reg [12:0] out;
	 
	 reg [30:0] count1;
	 reg [30:0] count2;
	 reg [30:0] count3;
	 reg [30:0] count4;
	 reg [30:0] count5;
	 reg [30:0] count6;
	 reg [30:0] count7;
	 reg [30:0] count8;
	 reg [30:0] count9;
	 reg [30:0] count10;
	 reg [30:0] count11;
	 reg [30:0] count12;
	 reg [30:0] count13;
	 
	 always@(posedge(clk)) begin
		 if(in==1) begin
			 count1<=count1+1;
			 count2<=0; count3<=0; count4<=0; count5<=0; count6<=0; count7<=0; count8<=0; count9<=0; count10<=0; count11<=0; count12<=0; count13<=0;
		 end else if(in==2) begin
			 count2<=count2+1;
			 count1<=0; count3<=0; count4<=0; count5<=0; count6<=0; count7<=0; count8<=0; count9<=0; count10<=0; count11<=0; count12<=0; count13<=0;
		 end else if(in==4) begin
			 count3<=count3+1;
			 count1<=0; count2<=0; count4<=0; count5<=0; count6<=0; count7<=0; count8<=0; count9<=0; count10<=0; count11<=0; count12<=0; count13<=0;
		 end else if(in==8) begin
			 count4<=count4+1;
			 count1<=0; count2<=0; count3<=0; count5<=0; count6<=0; count7<=0; count8<=0; count9<=0; count10<=0; count11<=0; count12<=0; count13<=0;
		 end else if(in==16) begin
			 count5<=count5+1;
			 count1<=0; count2<=0; count3<=0; count4<=0; count6<=0; count7<=0; count8<=0; count9<=0; count10<=0; count11<=0; count12<=0; count13<=0;
		 end else if(in==32) begin
			 count6<=count6+1;
			 count1<=0; count2<=0; count3<=0; count4<=0; count5<=0; count7<=0; count8<=0; count9<=0; count10<=0; count11<=0; count12<=0; count13<=0;
		 end else if(in==64) begin
			count7<=count7+1;
			count1<=0; count2<=0; count3<=0; count4<=0; count5<=0; count6<=0; count8<=0; count9<=0; count10<=0; count11<=0; count12<=0; count13<=0;
		 end else if(in==128) begin
			count8<=count8+1;
			count1<=0; count2<=0; count3<=0; count4<=0; count5<=0; count6<=0; count7<=0; count9<=0; count10<=0; count11<=0; count12<=0; count13<=0;
		 end else if(in==256) begin
			count9<=count9+1;
			count1<=0; count2<=0; count3<=0; count4<=0; count5<=0; count6<=0; count7<=0; count8<=0; count10<=0; count11<=0; count12<=0; count13<=0;
		 end else if(in==512) begin
			count10<=count10+1;
			count1<=0; count2<=0; count3<=0; count4<=0; count5<=0; count6<=0; count7<=0; count8<=0; count9<=0; count11<=0; count12<=0; count13<=0;			
		 end else if(in==1024) begin
			count11<=count11+1;
			count1<=0; count2<=0; count3<=0; count4<=0; count5<=0; count6<=0; count7<=0; count8<=0; count9<=0; count10<=0; count12<=0; count13<=0;
		 end else if(in==2048) begin
			count12<=count12+1;
			count1<=0; count2<=0; count3<=0; count4<=0; count5<=0; count6<=0; count7<=0; count8<=0; count9<=0; count10<=0; count11<=0; count13<=0;
		 end else if(in==4096) begin
			count13<=count13+1;
			count1<=0; count2<=0; count3<=0; count4<=0; count5<=0; count6<=0; count7<=0; count8<=0; count9<=0; count10<=0; count11<=0; count12<=0;
		 end else begin
			count1<=0; count2<=0; count3<=0; count4<=0; count5<=0; count6<=0; count7<=0; count8<=0; count9<=0; count10<=0; count11<=0; count12<=0; count13<=0;
		 end
	 end
	 
	 always@(count1 or count2 or count3 or count4 or count5 or count6 or count7 or count8 or count9 or count10 or count11 or count12 or count13) begin
		if(count13==5) begin
			out=4096;
		 end else if(count12==5) begin
			out=2048;
		 end else if(count11==5) begin
			out=1024;
		 end else if(count10==5) begin
			out=512;
		 end else if(count9==5) begin
			out=256;
		 end else if(count8==5) begin
			out=128;
		 end else if(count7==5) begin
			out=64;
		 end else if(count6==5) begin
			 out=32;
		 end else if(count5==5) begin
			 out=16;
		 end else if(count4==5) begin
			 out=8;
		 end else if(count3==5) begin
			 out=4;
		 end else if(count2==5) begin
			 out=2;
		 end else if(count1==5) begin
			 out=1;
		 end else begin
		 	 out=0;
		 end
	 end	 
endmodule
