`timescale 1ns / 1ps

module decoder(in, enable, out);
	input [3:0] in;
	input enable;
	output reg [12:0] out;
	 
	 always@(in) begin
		if(enable==1) begin
		 case(in)
 			13 : out<=4096;
			12 : out<=2048;
			11 : out<=1024;
			10 : out<=512;
			9 : out<=256;
			8 : out<=128;
			7 : out<=64;
			6 : out<=32;
			5 : out<=16;
			4 : out<=8;
			3 : out<=4;
			2 : out<=2;
			1 : out<=1;
			default : out<=0;
		 endcase
		end
		else out<=0;
	 end

endmodule
