`timescale 1ns / 1ps

module delay_clk(rst, clk, d_clk);
	input rst;
	input clk;

	output reg d_clk;

	reg [20:0] count;

	always@(posedge(clk)) begin
		if(rst==1) count<=0;
		else begin
			if(count==1600000) count<=0;
			else count<=count+1;
		end
	end

	always@(count) begin
		if(count>=0 & count<=800000) d_clk<=1;
		else d_clk<=0;
	end
endmodule
