`timescale 1ns / 1ps

module encoder(in, out);
    input [12:0] in;
    output reg [3:0] out;
	 
	 always@(in) begin
		 case(in)
 			4096 : out<=13;
			2048 : out<=12;
			1024 : out<=11;
			512 : out<=10;
			256 : out<=9;
			128 : out<=8;
			64 : out<=7;
			32 : out<=6;
			16 : out<=5;
			8 : out<=4;
			4 : out<=3;
			2 : out<=2;
			1 : out<=1;
			default : out<=0;
		 endcase
	 end

endmodule
