`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   10:10:00 08/29/2008
// Design Name:   controller
// Module Name:   tb_controller.v
// Project Name:  test
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: controller
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module tb_controller_v;

	// Inputs
	reg rst;
	reg clk;
	reg [14:0] enable;

	// Outputs
	wire work;
	wire [7:0] seg_com;
	wire [6:0] seg_data;
	wire five;
	wire one;

	// Instantiate the Unit Under Test (UUT)
	controller uut (
		.rst(rst), 
		.clk(clk), 
		.enable(enable), 
		.work(work), 
		.seg_com(seg_com), 
		.seg_data(seg_data), 
		.five(five), 
		.one(one)
	);

	initial begin
		// Initialize Inputs
		rst = 1;
		clk = 0;
		enable = 0;
	end
	
	always begin
		clk<=~clk; #125;
	end
	
	always begin
		#250; rst<=0;
	end
	
	always begin
		#4000; enable<=32;
	end
      
endmodule

