`timescale 1ns/1ps

module tb_segment;
	reg clk;
	reg enable;
	reg push;
	reg push1;	

	wire [7:0] seg_com;
	wire [7:0] seg_data;
	
	segment uut(.clk(clk), .enable(enable), .push(push), .push1(push1), .seg_com(seg_com), .seg_data(seg_data));
	
	initial begin
		#10; clk = 1;
		#10; enable = 0;
		#10; push = 0;
		#10; push1 = 0;

	end
	
	always begin
		#20; enable = 1;
	end
	
	always begin
		#40; clk = ~clk;
	end
	
	always begin
		#200; push = 1'b1;
		#200; push1 = 1'b1;
	
	end
	
endmodule